Package Details: libserial-git r516.ff5b6b0-1

Git Clone URL: https://aur.archlinux.org/libserial-git.git (read-only)
Package Base: libserial-git
Description: A library for accessing serial ports on POSIX systems (git version)
Upstream URL: https://github.com/crayzeewulf/libserial/
Licenses: GPL2
Conflicts: libserial
Provides: libserial
Submitter: shelvacu
Maintainer: CountMurphy
Last Packager: CountMurphy
Votes: 3
Popularity: 0.000051
First Submitted: 2017-05-29 07:14
Last Updated: 2019-06-17 12:48

Dependencies (6)

Required by (0)

Sources (1)

Latest Comments

CountMurphy commented on 2019-06-17 12:45

Updated

Salamandar commented on 2019-06-17 10:34

This PKGBUILD is incomplete as it does not install dev headers. Here is an updated pkgbuild:

# Maintainer: CountMurphy <spartan1086@gmail.com>
# Maintainer: Shelvacu <aur@shelvacu.com>

_gitname=libserial
pkgname="${_gitname}-git"
pkgver=r516.ff5b6b0
pkgrel=1
pkgdesc="A library for accessing serial ports on POSIX systems (git version)"
arch=('x86_64')
url="https://github.com/crayzeewulf/${_gitname}/"
license=('GPL2')
makedepends=(
    'git' 
    'python-sip'
    'python-sphinx'
    'python-sphinx_rtd_theme'
    'gtest'
)
conflicts=("${_gitname}")
provides=("${_gitname}")

source=("$pkgname"::"git+https://github.com/crayzeewulf/${_gitname}.git")
sha512sums=('SKIP')

pkgver() {
  cd "${pkgname}"
  printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
}

build() {
  cd "${pkgname}"


  mkdir -p build
  cd build
  cmake .. \
    -DCMAKE_INSTALL_PREFIX=/usr \
    -DCMAKE_INSTALL_LIBDIR=/usr/lib

  make

  sphinx-build -b html "../docs/user_manual/" "docs/html/"
}

package() {
  cd "${pkgname}"
  cd "build"
  DESTDIR="${pkgdir}" make install

  install -d "${pkgdir}/usr/share/docs/${gitname}"
  cp -R "docs/html" "${pkgdir}/usr/share/docs/${gitname}"
}

aviallon commented on 2018-08-05 12:06

You should also add boost and boost-build as dependencies.

CountMurphy commented on 2017-12-11 19:04

Might want to add gtest as a dependency

shelvacu commented on 2017-08-27 21:56

@lllars Added.

lllars commented on 2017-08-27 14:40

Thanks for the package! Please add python2-sip as a dependency.